#!/bin/csh -f

# shell program to use tilde.pl to convert answers in
# art.finalanswer.reqd and authority.finalanswer.reqd from '~' format
# to '%' format.

# subtest 1
echo "Running tilde.pl on art.bestanswers.reqd"

set TESTFILE        = "art.bestanswers.reqd"
set TARGETFILE      = "art.finalanswer.reqd"

# first check if these files exist. if any one does not, quit
if (!(-e $TESTFILE)) then
    echo "File $TESTFILE does not exist... aborting"
    exit
endif

if (!(-e $TARGETFILE)) then
    echo "File $TARGETFILE does not exist... aborting"
    exit
endif

# test on art.anwers.reqd
echo "Testing tilde.pl thusly: tilde.pl $TESTFILE > art.out"
tilde.pl $TESTFILE > art.out

# find diffs for training file
diff art.out $TARGETFILE > difference
if (-z difference) then
    echo "   Output matches target output (as provided in $TARGETFILE)"
else
    echo "Following differences exist between art.out and $TARGETFILE :"
    cat difference
endif
/bin/rm -f difference
/bin/rm -f art.out


# subtest 2
echo "Running tilde.pl on authority.bestanswers.reqd"

set TESTFILE        = "authority.bestanswers.reqd"
set TARGETFILE      = "authority.finalanswer.reqd"

# first check if these files exist. if any one does not, quit
if (!(-e $TESTFILE)) then
    echo "File $TESTFILE does not exist... aborting"
    exit
endif

if (!(-e $TARGETFILE)) then
    echo "File $TARGETFILE does not exist... aborting"
    exit
endif

# test on authority.anwers.reqd
echo "Testing tilde.pl thusly: tilde.pl $TESTFILE > authority.out"
tilde.pl $TESTFILE > authority.out

# find diffs for training file
diff authority.out $TARGETFILE > difference
if (-z difference) then
    echo "   Output matches target output (as provided in $TARGETFILE)"
else
    echo "Following differences exist between authority.out and $TARGETFILE :"
    cat difference
endif
/bin/rm -f difference
/bin/rm -f authority.out
