#!/bin/csh -f

# shell program to test xml2key.pl

echo "Testing xml2key.pl."

set TESTFILE       = "test-1.xml"
set TARGETFILE     = "test-1.reqd"   

# first check if these files exist. if any one does not, quit
if (!(-e $TESTFILE)) then
    echo "File $TESTFILE does not exist... aborting"
    exit
endif

if (!(-e $TARGETFILE)) then
    echo "File $TARGETFILE does not exist... aborting"
    exit
endif

# the test
echo "Testing xml2key thusly: xml2key.pl $TESTFILE > out"
xml2key.pl $TESTFILE > out

# find diffs
diff out $TARGETFILE > difference
if (-z difference) then
    echo "   Output matches target output (as provided in $TARGETFILE)"
else
    echo "Following differences exist between word1.n.xml and $TARGETFILE :"
    cat difference
endif

/bin/rm -f difference
/bin/rm -f out

